VTIEnvironment (Apache Derby 10.4 API Documentation)
Date: 2008-04-16

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Derby 10.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.derby.vti
Interface VTIEnvironment

    public interface VTIEnvironment

VTIEnvironment is the state variable created by the optimizer to help it place a Table Function in the join order. The methods of VTICosting use this state variable in order to pass information to each other and learn other details of the operating environment.

See Also:
  `VTICosting`

Method Summary
`java.lang.String` | `getOriginalSQL()` Return the SQL text of the original SQL statement.
`java.lang.Object` | `getSharedState(java.lang.String key)` Get an object associated with a key from set of objects maintained with the statement plan.
`int` | `getStatementIsolationLevel()` Get the specific JDBC isolation of the statement.
`boolean` | `isCompileTime()` Return true if this instance of the Table Function has been created for compilation, false if it is for runtime execution.
`void` | `setSharedState(java.lang.String key, java.io.Serializable value)` Saves an object associated with a key that will be maintained for the lifetime of the statement plan.

Method Detail

### isCompileTime

    boolean isCompileTime()

  Return true if this instance of the Table Function has been created for compilation, false if it is for runtime execution.

### getOriginalSQL

    java.lang.String getOriginalSQL()

  Return the SQL text of the original SQL statement.

### getStatementIsolationLevel

    int getStatementIsolationLevel()

  Get the specific JDBC isolation of the statement. If it returns Connection.TRANSACTION_NONE then no isolation was specified and the connection's isolation level is implied.

### setSharedState

    void setSharedState(java.lang.String key,
                        java.io.Serializable value)

  Saves an object associated with a key that will be maintained for the lifetime of the statement plan. Any previous value associated with the key is discarded. Any saved object can be seen by any JDBC Connection that has a Statement object that references the same statement plan.

### getSharedState

    java.lang.Object getSharedState(java.lang.String key)

  Get an object associated with a key from set of objects maintained with the statement plan.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Built on Wed 2008-04-16 18:34:32+0200, from revision 648739
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache Derby 10.4 API Documentation - Copyright © 2004,2008 The Apache Software Foundation. All Rights Reserved.